# scipy.interpolate.CubicSpline.from_bernstein_basis

`CubicSpline.``from_bernstein_basis`(bp, extrapolate=None)

  Construct a piecewise polynomial in the power basis from a polynomial in Bernstein basis.

  Parameters:

  bp : BPoly

  > A Bernstein basis polynomial, as created by BPoly

  extrapolate : bool or ‘periodic’, optional

  > If bool, determines whether to extrapolate to out-of-bounds points based on first and last intervals, or to return NaNs. If ‘periodic’, periodic extrapolation is used. Default is True.